Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

Installation prob with Postgresql

2006-04-04
2013-05-02
  • anjaana_ladka
    anjaana_ladka
    2006-04-04

    Hi,
    I have got FC3 installed on my machine, i am trying to install compiere with Postgresql. I have installed postgresql 8.1 version and have got configured j2sdk 1.4.2_11 on my machine. I have successfully installed pl/java and jdbc drivers and
    and setup the database using followings commands.
    compiere=#CREATE SCHEMA compiere;
    compiere=# SET search_path TO compiere,sqlj;
    compiere=# SELECT sqlj.install_jar('file:///u01/app/Compiere2/lib/sqlj.jar', 'sqlj',
    true);
    compiere=# SELECT sqlj.set_classpath('compiere', 'sqlj');

    Now when i am all set with the database, i am trying to install the Compiere installation script using ./RUN_setup.sh and m getting the following error.

    [root@cybee-laptop Compiere2]# ./RUN_setup.sh
    Install Compiere Server
    ===================================
    Setup Dialog
    ===================================
    Exception in thread "main" java.lang.UnsupportedClassVersionError: org/compiere/ install/Setup (Unsupported major.minor version 49.0)
            at java.lang.ClassLoader.defineClass0(Native Method)
            at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
            at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:12 3)
            at java.net.URLClassLoader.defineClass(URLClassLoader.java:251)
            at java.net.URLClassLoader.access$100(URLClassLoader.java:55)
            at java.net.URLClassLoader$1.run(URLClassLoader.java:194)
            at java.security.AccessController.doPrivileged(Native Method)
            at java.net.URLClassLoader.findClass(URLClassLoader.java:187)
            at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
            at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:274)
            at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
            at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)
    ===================================
    Make .sh executable
    ===================================
    ./RUN_setup.sh: line 44: utils/RUN_UnixEnv.sh: No such file or directory

    now i am blank what to do next.  I am new to Compiere and wanna test it out and learn about it.
    Please help me out in the matter.

    Thanks a lot in advance

    Anjaana_ladka

     
    • Peter
      Peter
      2006-04-06

      I had a similar product with something else. Once I installed Java 5 the issue was gone.

      If it is the latest version of Compiere then it is  Java 5 that you require.

       
    • anjaana_ladka
      anjaana_ladka
      2006-04-09

      thanx sunspot,

      I have got the script working now.
      But i am stuck as the configuration provides to setup only oracle, i am not getting postgres option in the drop down list.

      do i have to download the compiere installer from some other location ... or coding is the only way left with me.
      ????

      Anjaana_ladka

       
    • I downloaded a version supposedly ready for postgres using links from this site:
      http://www.postgresql.org/about/news.298

      I am having some problems setting up the database though.

      When I try to execute the
      SELECT sqlj.install_jar and
      SELECT sqlj.set_classpath statements I get the error 'ERROR:  Failed to create Java VM', My guess is that I am missing something in my path, but I don't know what to do about. What did you do?

      /madsph